unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls,
  LCLVersion;

type

  { TForm1 }

  TForm1 = class(TForm)
    ComboBox1: TComboBox;
    ComboBox2: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure ComboBox1Change(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    procedure ConfCheck;
    procedure DoConfCheck(AData: PtrInt);

    {$IF LCL_FullVersion >= 2010000}
    procedure ConfCheck2;
    {$IFEND}

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  ComboBox1.Text:='Größe wählen';
  ComboBox1.Items.Clear;
  ComboBox1.Items.Add('Vollbildschirm');
  ComboBox1.Items.Add('Größe L');
  ComboBox1.Items.Add('Größe M');
  ComboBox1.Items.Add('Größe S');

  {$IF LCL_FullVersion >= 2010000}
  ComboBox2.Items.Clear;
  ComboBox2.Items.Add('Vollbildschirm');
  ComboBox2.Items.Add('Größe L');
  ComboBox2.Items.Add('Größe M');
  ComboBox2.Items.Add('Größe S');
  Combobox2.Text := '';
  ComboBox2.TextHint:= 'Größe wählen';
  {$IFEND}
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
  Label1.Caption := 'Selected: ' + Combobox1.Items[Combobox1.ItemIndex];
  Application.QueueAsyncCall(@DoConfCheck, 0);
end;

procedure TForm1.ComboBox2Change(Sender: TObject);
begin
  {$IF LCL_FullVersion >= 2010000}
  Label2.Caption := 'Gewählt: ' + Combobox2.Items[Combobox2.ItemIndex];
  ConfCheck2;
  {$IFEND}
end;

procedure TForm1.DoConfCheck(AData: PtrInt);
begin
  ConfCheck;
end;

procedure TForm1.ConfCheck;
begin
  ComboBox1.Items.Clear;
  ComboBox1.Items.Add('Vollbildschirm');
  ComboBox1.Items.Add('Größe L');
  ComboBox1.Items.Add('Größe M');
  ComboBox1.Items.Add('Größe S');
  ComboBox1.Text:='Größe wählen';
end;

{$IF LCL_FullVersion >= 2010000}
procedure TForm1.ConfCheck2;
begin
  ComboBox2.Items.Clear;
  ComboBox2.Items.Add('Vollbildschirm');
  ComboBox2.Items.Add('Größe L');
  ComboBox2.Items.Add('Größe M');
  ComboBox2.Items.Add('Größe S');
  Combobox2.Text := '';
end;
{$IFEND}

end.

